aboutsummaryrefslogtreecommitdiffstats
path: root/main/libvirt/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-01-05 15:08:17 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2013-01-05 15:37:46 +0100
commit5226fab5c4bbebe99965c393bea1ef5686cbf6fe (patch)
tree8bf847b5f9405b43d7a8e289b573970bc61bdd91 /main/libvirt/APKBUILD
parent5b6075f273e9a894f5cd4050aeaf827fa287df47 (diff)
downloadaports-5226fab5c4bbebe99965c393bea1ef5686cbf6fe.tar.gz
aports-5226fab5c4bbebe99965c393bea1ef5686cbf6fe.tar.bz2
aports-5226fab5c4bbebe99965c393bea1ef5686cbf6fe.tar.xz
main/libvirt: disable xen support on eglibc
Diffstat (limited to 'main/libvirt/APKBUILD')
-rw-r--r--main/libvirt/APKBUILD36
1 files changed, 25 insertions, 11 deletions
diff --git a/main/libvirt/APKBUILD b/main/libvirt/APKBUILD
index 8fb430c2f1..fb246694d3 100644
--- a/main/libvirt/APKBUILD
+++ b/main/libvirt/APKBUILD
@@ -14,10 +14,10 @@ makedepends="augeas-dev bridge-utils cyrus-sasl-dev device-mapper
e2fsprogs-dev gnutls-dev libcap-ng-dev libgpg-error-dev
libnetcf-dev libnl-dev libxml2-dev libxslt-dev libtasn1-dev
lvm2-dev lxc-dev gnutls-dev libgcrypt-dev parted-dev perl pkgconfig
- udev-dev xen-dev zlib-dev yajl-dev libpcap-dev curl-dev"
+ udev-dev zlib-dev yajl-dev libpcap-dev curl-dev"
install=
subpackages="$pkgname-client $pkgname-daemon $pkgname-dev $pkgname-doc $pkgname-lang
- $pkgname-lxc $pkgname-qemu $pkgname-xen $pkgname-uml"
+ $pkgname-lxc $pkgname-qemu $pkgname-uml"
source="http://libvirt.org/sources/$pkgname-$pkgver.tar.gz
libvirt.confd
libvirt.initd
@@ -27,18 +27,31 @@ source="http://libvirt.org/sources/$pkgname-$pkgver.tar.gz
0001-net-support-set-public-ip-for-forward-mode-nat.patch
"
+if [ "$ALPINE_LIBC" != "eglibc" ]; then
+ subpackages="$subpackages $pkgname-xen"
+ makedepends="$makedepends xen-dev"
+fi
+
_builddir="$srcdir"/$pkgname-$vmajor
prepare() {
- cd "$_builddir"
- for patch in $source; do
- case $patch in
- *.patch)
- msg "Applying patch $patch"
- patch -p1 -i "$srcdir"/$patch || return 1
- ;;
- esac
- done
+ cd "$_builddir"
+ for patch in $source; do
+ case $patch in
+ # we concider patches with uclibc in its name
+ # only usefull on uclibc install
+ *uclibc*.patch)
+ if [ "$ALPINE_LIBC" != "eglibc" ]; then
+ msg "Applying patch $patch"
+ patch -p1 -i "$srcdir"/$patch || return 1
+ fi
+ ;;
+ *.patch)
+ msg "Applying patch $patch"
+ patch -p1 -i "$srcdir"/$patch || return 1
+ ;;
+ esac
+ done
}
build() {
@@ -137,3 +150,4 @@ df9cbfaf8a6e520a4822914a300add4d uclibc-physmem.patch
e992133db641b20cb43dda704518984d libvirt-1.0.0-remove-uclibc-mkostemp-redefine.patch
671eb364f071e67f58ab2c01ec357567 0001-util-refactor-iptables-command-construction-into-mul.patch
20ef9eab94e9a52aa401ddbcb066aeb2 0001-net-support-set-public-ip-for-forward-mode-nat.patch"
+